#!/bin/sh

set -eu

if [ $# -lt 1 ]; then
    echo "Usage: $(basename "$0") <PORT> [URL]"
    exit 1
fi

SOCKSPORT="$1"
URL="${2-}"

CHROME="$(which google-chrome 2>/dev/null)"
if [ -n "$CHROME" ]; then
    if [ -f "/Applications/Google Chrome.app" ]; then
        CHROME="/Applications/Google Chrome.app/Contents/MacOS/Google Chrome"
    else
        echo "ERR: Failed to find Google Chrome installation"
        exit 1
    fi
fi

CHROMEDIR="$(mktemp -d)"
# shellcheck disable=SC2064
trap "rm -rf ${CHROMEDIR}" EXIT

"$CHROME" \
    --incognito \
    --no-default-browser-check \
    --no-first-run \
    --user-data-dir="$CHROMEDIR" \
    --proxy-server="socks5://localhost:${SOCKSPORT}" \
    "$URL"
